Bug 56338 - kernel panic and system crashed while using quota
kernel panic and system crashed while using quota
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-15 14:35 EST by Tracy Pham
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 16:36:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tracy Pham 2001-11-15 14:35:54 EST
Description of Problem:
The RedHat Linux 2.4.9-7smp kernel can not handle the quota option.
Our server was crashed yesterday due to the quota problem.
Below are the error messages I found it in the log files:

Nov 14 03:10:52 hw7fs kernel: remove_free_dquot: dquot not on the free
list??
Nov 14 03:10:53 hw7fs last message repeated 104 times
Nov 14 03:10:53 hw7fs kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Nov 14 03:10:53 hw7fs kernel:  printing eip:
Nov 14 03:10:53 hw7fs kernel: c0157c03
Nov 14 03:10:53 hw7fs kernel: *pde = 00000000
Nov 14 03:10:53 hw7fs kernel: Oops: 0002
Nov 14 03:10:53 hw7fs kernel: CPU:    0
Nov 14 03:10:53 hw7fs kernel: EIP:    0010:[prune_dqcache+115/192]    Not
tainted
Nov 14 03:10:53 hw7fs kernel: EIP:    0010:[<c0157c03>]    Not tainted
Nov 14 03:10:53 hw7fs kernel: EFLAGS: 00010202
Nov 14 03:10:53 hw7fs kernel: eax: 00000000   ebx: f5ea5a20   ecx:
f5ea5a28   edx: 00000000
Nov 14 03:10:53 hw7fs kernel: esi: 0000000e   edi: 000000c0   ebp:
0008e000   esp: f7f65f8c
Nov 14 03:10:53 hw7fs kernel: ds: 0018   es: 0018   ss: 0018
Nov 14 03:10:53 hw7fs kernel: Process kswapd (pid: 5, stackpage=f7f65000)
Nov 14 03:10:53 hw7fs kernel: Stack: 00000001 0000000a f7f65f94 00000285
00000285 000000c0 c0157c65 00000010
Nov 14 03:10:53 hw7fs kernel:        c0135c3b 00000006 000000c0 f7f7a470
000000c0 f7f7a37c 000000c0 000000c0
Nov 14 03:10:53 hw7fs kernel:        00000000 f7f64000 00000006 c0135cb5
000000c0 00000000 00010f00 c211ffb8
Nov 14 03:10:53 hw7fs kernel: Call Trace: [shrink_dqcache_memory+21/48]
shrink_dqcache_memory [kernel] 0x15
Nov 14 03:10:53 hw7fs kernel: Call Trace: [<c0157c65>]
shrink_dqcache_memory [kernel] 0x15
Nov 14 03:10:53 hw7fs kernel: [do_try_to_free_pages+43/80]
do_try_to_free_pages [kernel] 0x2b
Nov 14 03:10:53 hw7fs kernel: [<c0135c3b>] do_try_to_free_pages [kernel]
0x2b
Nov 14 03:10:53 hw7fs kernel: [kswapd+85/240] kswapd [kernel] 0x55
Nov 14 03:10:53 hw7fs kernel: [<c0135cb5>] kswapd [kernel] 0x55
Nov 14 03:10:53 hw7fs kernel: [_stext+0/96] stext [kernel] 0x0
Nov 14 03:10:53 hw7fs kernel: [<c0105000>] stext [kernel] 0x0
Nov 14 03:10:53 hw7fs kernel: [kernel_thread+38/48] kernel_thread [kernel]
0x26
Nov 14 03:10:53 hw7fs kernel: [<c0105866>] kernel_thread [kernel] 0x26
Nov 14 03:10:53 hw7fs kernel: [kswapd+0/240] kswapd [kernel] 0x0
Nov 14 03:10:53 hw7fs kernel: [<c0135c60>] kswapd [kernel] 0x0
Nov 14 03:10:53 hw7fs kernel:
Nov 14 03:10:53 hw7fs kernel:
Nov 14 03:10:53 hw7fs kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7
43 08 00 00 00 00 8b
Nov 14 03:10:53 hw7fs kernel:  remove_free_dquot: dquot not on the free
list??
Nov 14 03:10:54 hw7fs kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Nov 14 03:10:54 hw7fs kernel:  printing eip:
Nov 14 03:10:54 hw7fs kernel: c0157c03
Nov 14 03:10:54 hw7fs kernel: *pde = 00000000
Nov 14 03:10:54 hw7fs kernel: Oops: 0002
Nov 14 03:10:54 hw7fs kernel: CPU:    1
Nov 14 03:10:54 hw7fs kernel: EIP:    0010:[prune_dqcache+115/192]    Not
tainted
Nov 14 03:10:54 hw7fs kernel: EIP:    0010:[<c0157c03>]    Not tainted
Nov 14 03:10:54 hw7fs kernel: EFLAGS: 00010217



Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Phil Copeland 2002-08-02 12:51:57 EDT
(appologies for the late response but I only just took over the quota package)

Is this still true of the newer kernels? For RH 7.2 that would be kernel-2.4.9-31
If it is, then could you have a shot ar rebuilding and installing

i.e.

ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/quota-3.06-2.src.rpm
rpm --rebuild quota-3.06-2.src.rpm
rpm -Uvh /usr/src/redhat/RPMS/i386/quota-3.06-2.i386.rpm

give that a shot and see if that improves the situation

Phil
=--=
Comment 2 Jan Iven 2002-08-29 05:22:47 EDT
We have seen the same case with 2.4.9-31 (with addional patches, but not
anywhere near vm /ext3/quota). Happened while converting an ext3 fs to
userquotas, will try to dig out the exact details:

Aug 28 17:04:42 lxbatch548 sshd(pam_unix)[20279]: session opened for user root
by (uid=0)
Aug 28 17:07:29 lxbatch548 kernel: EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,2),
internal journal
Aug 28 17:07:31 lxbatch548 kernel: EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,6),
internal journal
Aug 28 17:07:32 lxbatch548 kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Aug 28 17:07:32 lxbatch548 kernel:  printing eip:
Aug 28 17:07:32 lxbatch548 kernel: c01588e3
Aug 28 17:07:32 lxbatch548 kernel: *pde = 00000000
Aug 28 17:07:32 lxbatch548 kernel: Oops: 0002
Aug 28 17:07:32 lxbatch548 kernel: Kernel 2.4.9-31.1.cernsmp
Aug 28 17:07:32 lxbatch548 kernel: CPU:    0
Aug 28 17:07:32 lxbatch548 kernel: EIP:    0010:[prune_dqcache+115/192]   
Tainted: PF
Aug 28 17:07:32 lxbatch548 kernel: EIP:    0010:[<c01588e3>]    Tainted: PF
Aug 28 17:07:32 lxbatch548 kernel: EFLAGS: 00010203
Aug 28 17:07:32 lxbatch548 kernel: EIP is at prune_dqcache [kernel] 0x73 
Aug 28 17:07:32 lxbatch548 kernel: eax: 00000000   ebx: c1d4bc40   ecx: c1d4bc48
  edx: 00000000
Aug 28 17:07:32 lxbatch548 kernel: esi: 000000cd   edi: 000000c0   ebp: 0008e000
  esp: c1c8bf8c
Aug 28 17:07:32 lxbatch548 kernel: ds: 0018   es: 0018   ss: 0018
Aug 28 17:07:32 lxbatch548 kernel: Process kswapd (pid: 5, stackpage=c1c8b000)
Aug 28 17:07:32 lxbatch548 kernel: Stack: 00000001 00000003 00000004 c1c85470
00000004 000000c0 c0158945 0000010a 
Aug 28 17:07:32 lxbatch548 kernel:        c013616b 00000006 000000c0 c1c85470
000000c0 c1c8537c 000000c0 000000c0 
Aug 28 17:07:32 lxbatch548 kernel:        00000000 c1c8a000 00000006 c01361e5
000000c0 00000000 00010f00 c188bfb8 
Aug 28 17:07:32 lxbatch548 kernel: Call Trace: [shrink_dqcache_memory+21/48]
shrink_dqcache_memory [kernel] 0x15 
Aug 28 17:07:32 lxbatch548 kernel: Call Trace: [<c0158945>]
shrink_dqcache_memory [kernel] 0x15 
Aug 28 17:07:32 lxbatch548 kernel: [do_try_to_free_pages+43/80]
do_try_to_free_pages [kernel] 0x2b 
Aug 28 17:07:32 lxbatch548 kernel: [<c013616b>] do_try_to_free_pages [kernel] 0x2b 
Aug 28 17:07:32 lxbatch548 kernel: [kswapd+85/240] kswapd [kernel] 0x55 
Aug 28 17:07:32 lxbatch548 kernel: [<c01361e5>] kswapd [kernel] 0x55 
Aug 28 17:07:32 lxbatch548 kernel: [rest_init+0/96] stext [kernel] 0x0 
Aug 28 17:07:32 lxbatch548 kernel: [<c0105000>] stext [kernel] 0x0 
Aug 28 17:07:32 lxbatch548 kernel: [kernel_thread+38/48] kernel_thread [kernel]
0x26 
Aug 28 17:07:32 lxbatch548 kernel: [<c0105876>] kernel_thread [kernel] 0x26 
Aug 28 17:07:32 lxbatch548 kernel: [kswapd+0/240] kswapd [kernel] 0x0 
Aug 28 17:07:32 lxbatch548 kernel: [<c0136190>] kswapd [kernel] 0x0 
Aug 28 17:07:32 lxbatch548 kernel: 
Aug 28 17:07:32 lxbatch548 kernel: 
Aug 28 17:07:32 lxbatch548 kernel:Code: 89 50 04 89 02 c7 41 04 00 00 00 00 c7
43 08 00 00 00 00 8b 
Aug 28 17:08:15 lxbatch548 kernel:  remove_free_dquot: dquot not on the free list??
Aug 28 17:08:15 lxbatch548 kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Aug 28 17:08:15 lxbatch548 kernel:  printing eip:
... and some more OOpses

Note You need to log in before you can comment on or make changes to this bug.